Package twisted :: Package conch :: Package ssh :: Module forwarding :: Class SSHListenForwardingChannel

[frames | no frames]

## Class SSHListenForwardingChannel

    SSHChannel --+
                 |
                SSHListenForwardingChannel

Known Subclasses:
  `SSHListenClientForwardingChannel`, `SSHListenServerForwardingChannel`

Method Summary
| ``channelOpen`(self, specificData)` Called when the channel is opened.
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| ``openFailed`(self, reason)` Called when the the open failed for some reason.
Inherited from SSHChannel
| ``__init__`(self, localWindow, localMaxPacket, remoteWindow, remoteMaxPacket, conn, data, avatar)`
| ``__str__`(self)`
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window.
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error).
`tuple` | ``getHost`(self)` Return a tuple describing our side of the connection.
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection.
| ``loseConnection`(self)` Close the channel.
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel.
| ``startWriting`(self)` Called when the remote buffer has more room, as a hint to continue writing.
| ``stopWriting`(self)` Called when the remote buffer is full, as a hint to stop writing.
| ``write`(self, data)` Write some data to the channel.
| ``writeExtended`(self, dataType, data)` Send extended data to this channel.
| ``writeSequence`(self, data)` Part of the Transport interface.

Class Variable Summary
Inherited from SSHChannel
`NoneType` | `name` = None

Method Details

### channelOpen(self, specificData)

Called when the channel is opened. specificData is any data that the other side sent us when opening the channel.

  Parameters:
    `specificData`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.channelOpen` (inherited documentation)

### closed(self)

Called when the channel is closed.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.closed` (inherited documentation)

### dataReceived(self, data)

Called when we receive data.

  Parameters:
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.dataReceived` (inherited documentation)

### eofReceived(self)

Called when the other side will send no more data.

  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.eofReceived` (inherited documentation)

### openFailed(self, reason)

Called when the the open failed for some reason. reason.desc is a string descrption, reason.code the the SSH error code.

  Parameters:
    `reason`
    (type=`error.ConchError`)
  Overrides:
    `twisted.conch.ssh.channel.SSHChannel.openFailed` (inherited documentation)

Generated by Epydoc 2.0 on Sat May 15 20:08:46 2004 | http://epydoc.sf.net